﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

/// @author  Vesa Lappalainen
/// @version 06.10.2013
/// <summary>
/// Harjoitellaan do-while-silmukan käyttöä.
/// </summary>
public class DoWhile
{
    /// <summary>
    /// Pyydetään käyttäjältä merkkijono, joka toistetaan,
    /// mikäli merkkijono on jotain muuta kuin tyhjä.
    /// </summary>
    /// <param name="args"></param>
    public static void Main(string[] args)
    {
        String jono;
        do
        {
            Console.Write("Anna jono >");
            jono = Console.ReadLine();
            Console.WriteLine(jono);
        } while (jono != "");

        // Periaatteessa saman voisi tehdä myös näin.
        // Huonoa tässä on että "pakotetaan" silmukkaan
        // String jono = " ";
        // while (jono != "")
        // {
        //     Console.Write("Anna jono >");
        //     jono = Console.ReadLine();
        //     Console.WriteLine(jono);
        // }

        // Usein kuitenkaan ei haluta tuota tyhjää tulostaa
        // jolloin siistein tapa on ikuinen silmukka ja
        // poistuminen keskeltä
        // String jono;
        // while ( true )
        // {
        //     Console.Write("Anna jono >");
        //     jono = Console.ReadLine();
        //     if (jono == "") break;
        //     Console.WriteLine(jono);
        // };
    }
}
